Skip to navigation

Retrieve a custom object bulk job

View as Markdown

Retrieves the custom object bulk job details by job ID.

Only the users that have the “View Custom Objects” permission can retrieve custom object bulk jobs. See Platform Permissions for more information.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequiredformat: "uuid"
The ID of the custom object bulk job to be retrieved.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersiondateOptional

API version that determines the response schema. The default version is used if this parameter is not included. Specify Zuora-Version in the request header if you expect a specific response schema.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

Response

OK
CreatedByIdstringOptionalformat: "uuid"
The ID of the user who creates the job.
CreatedDatedatetimeOptional
The time when the bulk job is created.
IdstringOptionalformat: "uuid"
The custom object bulk job ID.
UpdatedByIdstringOptionalformat: "uuid"
The ID of the user who updates the job.
UpdatedDatedatetimeOptional
The time when the bulk job is updated.
errorobjectOptional
namespaceenumOptional

The namespace of the object. Custom objects belong to the default namespace. Zuora standard objects belong to the com_zuora namespace. Bulk job operations on the following Zuora standard objects are supported:

  • SavedQuery
Allowed values:
objectstringOptional
The object to that the bulk operation performs on.
operationenumOptional

The operation that the bulk job performs. Only the users that have the “Delete Custom Objects” permission can submit a delete bulk job request. Only the users that have the “Edit Custom Objects” permission can submit a create or update bulk job request. See Platform Permissions for more information.

Allowed values:
processingTimeintegerOptional
The amount of time elapsed, in milliseconds, from the submission to the completion of the bulk job.
recordsProcessedintegerOptional
The number of object records processed by the bulk job.
statusenumOptional

The status of the bulk job:

  • accepted - The job has been accepted and is ready to process.
  • pending - The job is waiting for your input. You can use Upload a file for a custom object bulk job to upload a file so that the job can start creating records.
  • in_progress - The job is processing.
  • completed - The job has completed.
  • failed - The job was unable to complete. You can use List all errors for a custom object bulk job to list the errors.
  • cancelled - The job was cancelled by the server.

Errors

404
Not Found Error